Package org.apache.jmeter.timers

# Class RandomTimer

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.timers.ConstantTimer
org.apache.jmeter.timers.RandomTimer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `LoopIterationListener`, `Searchable`, `org.apache.jmeter.testelement.TestElement`, `ModifiableTimer`, `Timer`

Direct Known Subclasses:
  `GaussianRandomTimer`, `PoissonRandomTimer`, `UniformRandomTimer`

public abstract class RandomTimer extends ConstantTimer implements ModifiableTimer, Serializable
This class implements a random timer with its own panel and fields for value update and user interaction. Since this class does not define the delay() method, is abstract and must be extended to provide full functionality.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `RANGE`

  ### Fields inherited from class org.apache.jmeter.timers.ConstantTimer

  `DELAY`

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RandomTimer()`
  No-arg constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Random`
  `getRandom()`
  `double`
  `getRange()`
  Get the range value.
  `void`
  `setRange(double range)`
  Set the range value.
  `void`
  `setRange(String range)`

  ### Methods inherited from class org.apache.jmeter.timers.ConstantTimer

  `delay, getDelay, iterationStart, setDelay, toString`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.timers.ModifiableTimer

  `isModifiable`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

  ### Methods inherited from interface org.apache.jmeter.timers.Timer

  `delay`

- ## Field Details

  - ### RANGE

    public static final String RANGE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RandomTimer

    protected RandomTimer()
    No-arg constructor.

- ## Method Details

  - ### setRange

    public void setRange(double range)
    Set the range value.
    Overrides:
      `setRange` in class `ConstantTimer`
    Parameters:
      `range` - Not used

  - ### setRange

    public void setRange(String range)

  - ### getRange

    public double getRange()
    Get the range value.
    Overrides:
      `getRange` in class `ConstantTimer`
    Returns:
      double

  - ### getRandom

    protected Random getRandom()
    Returns:
      `Random` Thread local Random